Bug 620750 - [abrt] crash in fedora-packager-0.5.1.0-1.fc13: refs.py:162:_get_reference:TypeError: HEAD is a detached symbolic reference as it points to '625b08540678c7b60a885d522e1ecfc8a8921568'
Summary: [abrt] crash in fedora-packager-0.5.1.0-1.fc13: refs.py:162:_get_reference:Ty...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager   
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:36ae5930
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 12:06 UTC by Neal Becker
Modified: 2013-01-10 06:07 UTC (History)
2 users (show)

Fixed In Version: fedora-packager-0.5.1.2-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 05:37:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.10 KB, text/plain)
2010-08-03 12:06 UTC, Neal Becker
no flags Details

Description Neal Becker 2010-08-03 12:06:18 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/fedpkg switch-branch
comment: see above
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.33.6-147.fc13.x86_64
package: fedora-packager-0.5.1.0-1.fc13
reason: refs.py:162:_get_reference:TypeError: HEAD is a detached symbolic reference as it points to '625b08540678c7b60a885d522e1ecfc8a8921568'
release: Fedora release 13 (Goddard)

backtrace
-----
refs.py:162:_get_reference:TypeError: HEAD is a detached symbolic reference as it points to '625b08540678c7b60a885d522e1ecfc8a8921568'

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 959, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 596, in switch_branch
    mymodule = pyfedpkg.PackageModule(args.path)
  File "/usr/lib/python2.6/site-packages/pyfedpkg/__init__.py", line 723, in __init__
    self.branch = self._findbranch()
  File "/usr/lib/python2.6/site-packages/pyfedpkg/__init__.py", line 668, in _findbranch
    localbranch = self.repo.active_branch.name
  File "/usr/lib/python2.6/site-packages/git/repo.py", line 599, in active_branch
    return self.head.reference
  File "/usr/lib/python2.6/site-packages/git/refs.py", line 162, in _get_reference
    raise TypeError("%s is a detached symbolic reference as it points to %r" % (self, sha))
TypeError: HEAD is a detached symbolic reference as it points to '625b08540678c7b60a885d522e1ecfc8a8921568'

Local variables in innermost frame:
sha: '625b08540678c7b60a885d522e1ecfc8a8921568'
self: <git.HEAD "HEAD">
target_ref_path: None

How to reproduce
-----
1.
2.
3.
fedpkg switch-branch

Comment 1 Neal Becker 2010-08-03 12:06:20 UTC
Created attachment 436256 [details]
File: backtrace

Comment 2 Jesse Keating 2010-08-06 19:09:24 UTC
What repo were you using, what was the full command, and what was the state of the repo at the time (git status)?

Comment 3 Neal Becker 2010-08-07 18:22:36 UTC
Full command is as shown.  I can't duplicate it now.  I was attempting to follow the (sketchy) directions to update mercurial.  I think I had done devel, and was  trying to update F13 and F12.  I had managed to mess it up and after this crash, I did rm -rf, and tried again with a clean clone.  This time I had no problem.  So, I have no idea how to reproduce it.

Comment 4 Jesse Keating 2010-08-12 06:22:48 UTC
Ok, well we should trap this error anyway.

Comment 5 Jesse Keating 2010-08-12 07:07:56 UTC
Error caught now.

Comment 6 Fedora Update System 2010-08-12 19:53:30 UTC
python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-1.el5

Comment 7 Fedora Update System 2010-08-12 19:57:08 UTC
fedora-packager-0.5.1.2-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc14

Comment 8 Fedora Update System 2010-08-12 20:01:36 UTC
fedora-packager-0.5.1.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc13

Comment 9 Fedora Update System 2010-08-12 20:07:31 UTC
fedora-packager-0.5.1.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-1.fc12

Comment 10 Fedora Update System 2010-08-13 21:06:28 UTC
fedora-packager-0.5.1.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-packager-0.5.1.2-2.fc13

Comment 11 Fedora Update System 2010-08-13 22:39:06 UTC
fedora-packager-0.5.1.2-2.el5, python-kitchen-0.2-0.1.a2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager python-kitchen'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-kitchen-0.2-0.1.a2.el5,fedora-packager-0.5.1.2-2.el5

Comment 12 Fedora Update System 2010-08-17 05:36:02 UTC
fedora-packager-0.5.1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-08-24 21:09:15 UTC
fedora-packager-0.5.1.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-08-24 23:03:41 UTC
fedora-packager-0.5.1.2-2.el5, python-kitchen-0.2-0.1.a2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-08-25 01:19:26 UTC
fedora-packager-0.5.1.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.